Mailinglist Archive: opensuse-factory (520 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20170521 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20170521

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
Mesa (17.0.5 -> 17.1.0)
MozillaFirefox (52.1.0 -> 52.1.1)
MozillaThunderbird (52.1.0 -> 52.1.1)
OpenPrintingPPDs
accountsservice (0.6.43 -> 0.6.45)
akonadi-server
alsa (1.1.3 -> 1.1.4)
alsa-plugins (1.1.1 -> 1.1.4)
alsa-utils (1.1.3 -> 1.1.4)
aria2 (1.31.0 -> 1.32.0)
bash
bind
cifs-utils
coreutils
corosync
device-mapper
djvulibre
dracut
evolution (3.24.1 -> 3.24.2)
evolution-data-server (3.24.1 -> 3.24.2)
evolution-ews (3.24.1 -> 3.24.2)
fox16 (1.6.52 -> 1.6.54)
gdk-pixbuf
gettext-runtime
gfxboot (4.5.20 -> 4.5.21)
git (2.12.2 -> 2.13.0)
gitg (3.23.90 -> 3.24.0)
gjs (1.48.1 -> 1.48.3)
glib2 (2.52.1 -> 2.52.2)
gnome-control-center (3.24.1 -> 3.24.2)
gnome-desktop (3.24.1 -> 3.24.2)
gnome-disk-utility (3.24.0 -> 3.24.1)
gnome-maps (3.24.1 -> 3.24.2)
gnome-music (3.24.1.1 -> 3.24.2)
gnome-photos (3.24.1 -> 3.24.2)
gnome-settings-daemon (3.24.1 -> 3.24.2)
gnome-terminal (3.24.1 -> 3.24.2)
gnome-user-docs (3.24.0 -> 3.24.2)
gnutls (3.5.9 -> 3.5.11)
gperf (3.0.4 -> 3.1)
gpg2 (2.1.20 -> 2.1.21)
grub2
gtk3 (3.22.11 -> 3.22.14)
gucharmap (9.0.3 -> 9.0.4)
gvfs (1.32.0 -> 1.32.1)
harfbuzz (1.4.5 -> 1.4.6)
hwinfo (21.45 -> 21.46)
imlib2 (1.4.9 -> 1.4.10)
intltool
kdump
kernel-firmware (20170422 -> 20170511)
kernel-source (4.11.0 -> 4.11.1)
keyutils (1.5.9 -> 1.5.10)
kiwi (7.04.30 -> 7.04.31)
libfastjson (0.99.4 -> 0.99.5)
libinput (1.7.0 -> 1.7.2)
libnice (0.1.13 -> 0.1.14)
libopenmpt (0.8.8.5 -> 0.2.7774~beta22)
libqt4
libqt5-qtwebkit
libreoffice (5.3.2.2 -> 5.3.3.2)
libreoffice-share-linker
libsamplerate
libsndfile
libsoup (2.57.1 -> 2.58.1)
libvirt
libwps (0.4.5 -> 0.4.6)
libyui-ncurses (2.48.0 -> 2.48.2)
libzypp (16.9.0 -> 16.11.0)
lvm2
mailx
makedumpfile (1.6.0 -> 1.6.1)
man-pages (4.09 -> 4.11)
manufacturer-PPDs
media-player-info
mpg123
myspell-dictionaries (20161031 -> 20170511)
nautilus (3.24.0 -> 3.24.1)
ncurses
nghttp2 (1.21.1 -> 1.22.0)
npth (1.3 -> 1.4)
nut
openmpi (1.10.3 -> 1.10.6)
openssl
openssl-1_0_0
parted
patterns-desktop
patterns-devel-base
patterns-fonts
patterns-gnome
patterns-kde
patterns-media
patterns-office (20170319 -> 20170506)
perl-Bootloader (0.918 -> 0.919)
perl-Net-DNS (1.09 -> 1.10)
pkg-config (0.29.1 -> 0.29.2)
portaudio (19_20140130 -> 190600_20161030)
postgresql94 (9.4.11 -> 9.4.12)
postgresql95 (9.5.6 -> 9.5.7)
postgresql96 (9.6.2 -> 9.6.3)
postgresql96-libs (9.6.2 -> 9.6.3)
presage
publicsuffix (20170331 -> 20170424)
python-gobject (3.24.0 -> 3.24.1)
python-packaging
python-rpm-macros (1.0.git.1490791775.6e5b01c -> 2017.05.09.fc237de)
rdma-core (1.3.10.2 -> 14)
rpm
screen
sendmail
snapper (0.4.4 -> 0.5.0)
spec-cleaner (0.9.4 -> 0.9.5)
star
sushi (3.23.91 -> 3.24.0)
systemd
tar
tidy (5.2.0 -> 5.4.0)
vala (0.36.1 -> 0.36.2)
vte (0.48.2 -> 0.48.3)
webkit2gtk3 (2.16.1 -> 2.16.2)
webkitgtk
webkitgtk3
wireshark
xf86-input-wacom
xinetd (2.3.15.1+git20170504.58c3611 -> 2.3.15.1)
yum
zypper (1.13.25 -> 1.13.27)

=== Details ===

==== Mesa ====
Version update (17.0.5 -> 17.1.0)
Subpackages: Mesa-dri-devel Mesa-dri-nouveau Mesa-libEGL-devel Mesa-libEGL1
Mesa-libGL-devel Mesa-libGL1 Mesa-libglapi0 Mesa-libva libgbm1 libvdpau_nouveau
libvdpau_r300 libvdpau_r600 libvdpau_radeonsi libvulkan_intel libvulkan_radeon
libwayland-egl1 libxatracker2

- baselibs.conf: libglvnd0 -> libglvnd; missed the package name
change in libglvnd package (boo#1038619)
- update to 17.1.0
- drop upstreamed patches:
archlinux_0002-fixup-EGL-Implement-the-libglvnd-interface-for-EGL-v.patch
archlinux_0001-EGL-Implement-the-libglvnd-interface-for-EGL-v2.patch
archlinux_glapi-Link-with-glapi-when-built-shared.patch
+ New major release with:
+ OpenGL 4.2 support for Intel Ivy Bridge chips.
+ The RADV driver passes the Khronos CTS
+ Shader on-disk cache. Improving the startup and shader compilation
times in some games.
+ This release includes significant performance improvements for games by
Feral Interactive.
* for full list of changes please check docs/relnotes/17.1.0.html

==== MozillaFirefox ====
Version update (52.1.0 -> 52.1.1)
Subpackages: MozillaFirefox-translations-common

- update to Firefox 52.1.1
MFSA 2017-14
* CVE-2017-5031: Use after free in ANGLE (bmo#1328762)
(Windows only, Linux not affected)
- switch to Mozilla's geolocation service (boo#1026989)
- removed mozilla-preferences.patch obsoleted by overriding via
firefox.js
- fixed KDE integration to avoid crash caused by filepicker
(boo#1015998)

==== MozillaThunderbird ====
Version update (52.1.0 -> 52.1.1)
Subpackages: MozillaThunderbird-translations-common

- update to Thunderbird 52.1.1
* fixed crash when compacting IMAP folder (boo#1038753)
* Some attachments could not be opened or saved if the message
body is empty
* Unable to load full message via POP if message was downloaded
partially (or only headers) before
* Large attachments may not be shown or saved correctly if the
message is stored in an IMAP folder which is not synchronized
for offline use

==== OpenPrintingPPDs ====
Subpackages: OpenPrintingPPDs-ghostscript OpenPrintingPPDs-hpijs
OpenPrintingPPDs-postscript

- call gzip -n to make build more reproducible

==== accountsservice ====
Version update (0.6.43 -> 0.6.45)
Subpackages: libaccountsservice0 typelib-1_0-AccountsService-1_0

- Update to version 0.6.45:
+ Wrap password expiration info in libaccountsservice api.
- Changes from version 0.6.44:
+ Export password expiration info from shadow file.
+ Fix user classification logic.
+ Don't lose track of users when /etc/passwd is reloaded.

==== akonadi-server ====
Subpackages: akonadi-server-sqlite libKF5AkonadiAgentBase5 libKF5AkonadiCore5
libKF5AkonadiPrivate5 libKF5AkonadiWidgets5 libKF5AkonadiXml5

- Unconditionally obsolete akonadi-runtime on all distributions, we
don't support kdepim4 any more

==== alsa ====
Version update (1.1.3 -> 1.1.4)
Subpackages: alsa-devel libasound2 libasound2-32bit

- Update to alsa-lib 1.1.4: including most of previous fixes,
in addition to topology API updates
- Upstream fix for building with old glibc:
0001-build-Define-__USE_UNIX98-for-old-glibc.patch
- Obsoleted patches:
0001-ucm-Add-ATTRIBUTE_UNUSED-for-unused-parameters-of-ex.patch
0002-ucm-parser-needs-limits.h.patch
0003-pcm-direct-allow-users-to-configure-different-period.patch
0004-pcm-dshare-enable-silence.patch
0005-pcm-rate-fix-the-hw_ptr-update-until-the-boundary-av.patch
0006-plugin-dynamically-update-avail_min-on-slave.patch
0007-rate-dynamic-update-avail_min-on-slave.patch
0008-topology-fix-unused-const-variable-warning.patch
0009-seq-improve-documentation-about-new-get-pid-card-fun.patch
0010-pcm-direct-returning-semop-error-code-for-semaphore-.patch
0011-pcm-direct-Fix-for-sync-issue-on-xrun-recover.patch
0012-pcm-direct-check-state-before-enter-poll-on-timer.patch
0013-pcm-direct-don-t-return-bogus-buffer-levels-in-xrun-.patch
0014-conf-ucm-broxton-add-broxton-rt298-conf-files.patch
0015-pcm-direct-Fix-deadlock-in-poll_descriptors.patch
0016-ucm-Assure-the-user-input-card-name-not-to-exceed-ma.patch
0017-ucm-Load-device-specific-configuration-file-based-on.patch
0018-ucm-Add-command-get-_file-to-get-the-config-file-nam.patch
0019-topology-Fix-incorrect-license-in-source-comments.patch
0020-conf-cards-add-support-for-pistachio-card.patch
0021-pcm-multi-Drop-the-fixed-slave_map-in-snd_pcm_multi_.patch
0022-conf-Add-card-config-for-Intel-HDMI-DP-LPE-audio.patch
0023-pcm-Avoid-lock-for-snd_pcm_nonblock.patch
0024-pcm-Disable-locking-in-async-mode.patch
0025-pcm-dmix-Allow-disabling-x86-optimizations.patch
0026-pcm-dmix_rewind-corrupts-application-pointer-fix.patch
0027-pcm-direct-fix-race-on-clearing-timer-events.patch
0028-pcm-file-Enable-file-writing-for-capture-path.patch
0029-pcm-status-dump-fix-timestamp-formatting.patch
0030-pcm-extplug-refinement-of-masks-in-extplug.patch
0031-pcm-rate-Add-capability-to-pass-configuration-node-t.patch
0032-Drop-ppc64-specific-workaround-for-versioned-symbols.patch
0033-pcm_plugin-unify-the-snd_pcm_mmap_begin-result-value.patch
0034-always-handle-return-value-from-snd_config_get_id-co.patch
0035-pcm-file-plugin-handle-snd_pcm_mmap_begin-error-path.patch
0036-topology-coverity-remove-dead-code.patch
0037-ucm-parser-fix-possible-string-overflow-in-uc_mgr_im.patch
0038-dmix-plugin-fix-drain-for-nonblock-mode.patch
0039-dmix-plugin-drain-quickfix-for-the-previous-patch.patch
0040-rawmidi-virtual-fix-reading-into-a-small-buffer.patch
0041-conf-cards-add-VC4-HDMI-card.patch
0042-pcm-plug-save-converter-config.patch
0043-pcm-file-delegate-htimestamping-to-slave-instead-of-.patch
0096-conf-Remove-dmix.direct_memory_access-setup.patch
0097-pcm-dmix-Disable-var_periodsize-as-default.patch

==== alsa-plugins ====
Version update (1.1.1 -> 1.1.4)
Subpackages: alsa-plugins-pulse alsa-plugins-pulse-32bit

- Update to alsa-plugins 1.1.4:
* extend configure script to disable more stuff
* including previous fix for libavcodec
- Obsoleted patch:
0001-configure-Fix-detection-of-avcodec.h.patches

==== alsa-utils ====
Version update (1.1.3 -> 1.1.4)

- Update to alsa-utils 1.1.4:
* alsactl: Remove standard output definition in systemd unit
* alsa-info: provide more DMI information
* alsa-info: add ACPI device status
* amidi: optarg might be NULL, fix 't' argument parsing
* aplay: Introduce and use xwrite helper

==== aria2 ====
Version update (1.31.0 -> 1.32.0)
Subpackages: aria2-lang libaria2-0

- Version bump to 1.32.0
* Clarify --max-concurrent-downloads option
* Fix compile error with toolchain which lacks IPV6_TCLASS
* Log directed URI in notice log level
* Spelling and typo fixes
* Remove unused Android parts
* Save control file early
* Update links in Dockerfile.raspberrypi
* Propagate disk full error on pre-allocation to last error code

==== bash ====
Subpackages: bash-doc libreadline7 readline-devel readline-doc

- Simplify patch readline-5.2-conf.patch
- Do not throw info and manual pages away

==== bind ====
Subpackages: bind-chrootenv bind-doc bind-utils idnkit libbind9-140 libdns165
libidnkit1 libirs141 libisc160 libisccc140 libisccfg140 liblwres141

a- Fix named init script to dynamically find the location of the
openssl engines (boo#1040027).

==== cifs-utils ====

- Document SMB3+ and new seal option; (fate#322075).
+ add patch 0001-manpage-correct-typos-and-spelling-mistakes.patch
+ add patch 0002-mount.cifs-document-SMBv3.1.1-and-new-seal-option.patch

==== coreutils ====

- coreutils-cve-2017-7476-out-of-bounds-with-large-tz.patch:
Add upstream patch to fix an heap overflow security issue
in date(1) and touch(1) with a large TZ variable
(CVE-2017-7476, rh#1444774, boo#1037124).

==== corosync ====

- totemrrp: Fix situation when all rings are faulty(bsc#1039215)
Added: 0003-totemrrp-Fix-situation-when-all-rings-are-faulty.patch
- calling mlockall before corosync_tty_detach is noop when corosync is executed
as a daemon(bsc#1038147)
Added: 0002-Main-call-mlock-after-fork.patch

==== device-mapper ====
Subpackages: libdevmapper-event1_03 libdevmapper1_03 libdevmapper1_03-32bit

- Add lvmlockd-related configuration items in lvm.conf, fate#323203
- Fix compiling issue of lvmlockd, bsc#1037309
+ Makefile-skip-compliling-daemons-lvmlockd-directory.patch
- Remove comments breaking scriptlets:
* warning: %postun(libdevmapper1_03-1.02.137-5.1.x86_64) scriptlet failed

==== djvulibre ====
Subpackages: libdjvulibre-devel libdjvulibre21

- Add reproducible.patch to make build fully reproducible

==== dracut ====

- Revert: "Require version >= 3.18 btrfsprogs, rather than conflicting with
an older one". Dracut should never depend on optional components
- Ignore module resolution errors (e.g. with kgraft) (bsc#1037120)
* adds 0520-Ignore-module-resolution-errors.patch

==== evolution ====
Version update (3.24.1 -> 3.24.2)
Subpackages: evolution-plugin-bogofilter evolution-plugin-pst-import
evolution-plugin-spamassassin

- Update to version 3.24.2:
+ Crash under e_meeting_time_selector_refresh_cb().
+ Drag and drop to the editor can lock the Evolution.
+ Dropping text/* content to the editor is not handled by WebKit.
+ Fix the compilation warning with gcc 7.
+ [ENameSelectorEntry] Avoid fake "changed" signals on focus-in.
+ Calendar Print skips print dialog.
+ Show VERSION_SUBSTRING and VERSION_COMMENT in Help->About.
+ Fix occasional runtime warning from
e_web_extension_set_clipboard_flags().
+ Mark editor as changed if using 'Wrap lines' action.
+ Mark editor as changed if deleting a selection.
+ MailFolderCache can sometimes block folder 'changed'
notifications.
+ Correct possible ref/unref imbalance of a CamelFolder instance.
+ Bugs fixed: bgo#781404, bgo#781557, bgo#781570, bgo#781660,
bgo#781647, bgo#781722, bgo#781833, bgo#781890, bgo#781116,
bgo#778423, bgo#780088, bgo#569684, bgo#782153.
+ Updated translations.

==== evolution-data-server ====
Version update (3.24.1 -> 3.24.2)
Subpackages: libcamel-1_2-60 libebackend-1_2-10 libebook-1_2-19
libebook-contacts-1_2-2 libecal-1_2-19 libedata-book-1_2-25 libedata-cal-1_2-28
libedataserver-1_2-22 libedataserverui-1_2-1

- Update to version 3.24.2:
+ Correct two libecal/client tests.
+ [IMAPx]:
- Unsubscribed folders shown after refresh.
- Fix a memory leak of CamelIMAPXServer.
+ Bugs fixed: bgo#777042, bgo#656635, bgo#781376, bgo#781465,
bgo#781543, bgo#781549, bgo#781833, bgo#779749.

==== evolution-ews ====
Version update (3.24.1 -> 3.24.2)
Subpackages: evolution-ews-lang

- Update to version 3.24.2:
+ Bugs fixed: bgo#781833.
+ Updated translations.

==== fox16 ====
Version update (1.6.52 -> 1.6.54)

- Update to 1.6.54:
+ Fix core dump using old GNU C Library or CYGWIN inside
FXString::vformat.cpp.
+ Fixed typo in FXString::vformat.cpp.

==== gdk-pixbuf ====
Subpackages: gdk-pixbuf-devel gdk-pixbuf-query-loaders
gdk-pixbuf-query-loaders-32bit gdk-pixbuf-thumbnailer libgdk_pixbuf-2_0-0
libgdk_pixbuf-2_0-0-32bit typelib-1_0-GdkPixbuf-2_0

- Supplement libgdk_pixbuf-2_0-0 by the thumbnailers (boo#1037100).

==== gettext-runtime ====
Subpackages: gettext-tools

- Add msgfmt-remove-pot-creation-date.patch
to enable reproducible builds of packages using gettext-runtime
such as dfc, e2fsprogs and acl

==== gfxboot ====
Version update (4.5.20 -> 4.5.21)

- merge gh#openSUSE/gfxboot#24
- fix UK keyboard setting (bsc#1033202)
- 4.5.21

==== git ====
Version update (2.12.2 -> 2.13.0)
Subpackages: git-core git-cvs git-daemon git-email git-gui git-svn git-web gitk

- git 2.13.0:
* empty string as a pathspec element for 'everything matches'
is still warned, for future removal.
* deprecated argument order "git merge <msg> HEAD <commit>..."
was removed
* default location "~/.git-credential-cache/socket" for the
socket used to communicate with the credential-cache daemon
moved to "~/.cache/git/credential/socket".
* now avoid blindly falling back to ".git" when the setup
sequence indicated otherwise
* many workflow features, improvements and bug fixes
- git 2.12.3:
* CVE-2017-8386: On a server running git-shell as login shell to
restrict user to git commands, remote users may have been able
to have git service programs spawn an interactive pager
and thus escape the shell restrictions. (bsc#1038395)

==== gitg ====
Version update (3.23.90 -> 3.24.0)
Subpackages: gitg-lang libgitg-1_0-0 libgitg-ext-1_0-0

- Update to version 3.24.0:
+ Misc fixes.
+ Updated translations.

==== gjs ====
Version update (1.48.1 -> 1.48.3)
Subpackages: libgjs0 typelib-1_0-GjsPrivate-1_0

- Update to version 1.48.3:
+ arg: don't crash when asked to convert a null strv to an array
(bgo#775679).
+ gjs 1.48.0: does not compile on macOS with clang (bgo#780350).
+ Modernize shell scripts (bgo#781806).
- Changes from version 1.48.2:
+ Intermittent crash in gnome-shell, probably in weak pointer
updating code (bgo#781194).
+ Add contributor's guide (bgo#781297).
+ Misc fixes.

==== glib2 ====
Version update (2.52.1 -> 2.52.2)
Subpackages: glib2-devel glib2-tools libgio-2_0-0 libgio-2_0-0-32bit
libglib-2_0-0 libglib-2_0-0-32bit libgmodule-2_0-0 libgmodule-2_0-0-32bit
libgobject-2_0-0 libgobject-2_0-0-32bit libgthread-2_0-0 libgthread-2_0-0-32bit

- Update to version 2.52.2:
+ Bugs fixed: bgo#734946, bgo#761102, bgo#780300, bgo#780309,
bgo#781298.
+ Updated translations.

==== gnome-control-center ====
Version update (3.24.1 -> 3.24.2)
Subpackages: gnome-control-center-color gnome-control-center-goa
gnome-control-center-user-faces

- Update to version 3.24.2:
+ Memory leak and correctness fixes.
+ Keyboard: Discard the added shortcut on Escape.
+ Network: Fix mobile broadband switch state.
+ Updated translations.
- Add gnome-control-center-info-disc-size-for-btrfs.patch:
Fix total disc size for btrfs subvolumes displayed in info panel,
backported upstream commit b619f7c (bsc#890385, bsc#1037234,
bgo#708786).

==== gnome-desktop ====
Version update (3.24.1 -> 3.24.2)
Subpackages: gnome-version libgnome-desktop-3-12 libgnome-desktop-3_0-common
typelib-1_0-GnomeDesktop-3_0

- Update to version 3.24.2:
+ No changes, stable version bump only.

==== gnome-disk-utility ====
Version update (3.24.0 -> 3.24.1)

- Update to version 3.24.1:
+ Fix unmounting and probing of mounted volumes.
+ Fix wrong behavior of filesystem creation dialog.
+ Updated translations.

==== gnome-maps ====
Version update (3.24.1 -> 3.24.2)

- Update to version 3.24.2:
+ Avoid a use-after-free crash in contact store.
+ Updated translations.

==== gnome-music ====
Version update (3.24.1.1 -> 3.24.2)

- Update to version 3.24.2:
+ Bugs fixed: bgo#776668, bgo#781684.
+ Updated translations.

==== gnome-photos ====
Version update (3.24.1 -> 3.24.2)
Subpackages: gnome-shell-search-provider-gnome-photos

- Update to version 3.24.2:
+ Bugs fixed: bgo#778354.
+ Updated translations.

==== gnome-settings-daemon ====
Version update (3.24.1 -> 3.24.2)

- Update to version 3.24.2:
+ Fix plugins not getting started under gdm.
+ Fix mmkeys D-Bus API to match API docs.
+ Disable rfkill keys handling.
+ Choose correct backlight device on laptops with hybrid
graphics.
+ Updated translations.

==== gnome-terminal ====
Version update (3.24.1 -> 3.24.2)
Subpackages: gnome-shell-search-provider-gnome-terminal
nautilus-extension-terminal

- Update to version 3.24.2:
+ Updated translations.

==== gnome-user-docs ====
Version update (3.24.0 -> 3.24.2)

- Update to version 3.24.2:
+ Updates to GNOME Help.
+ Updated translations.

==== gnutls ====
Version update (3.5.9 -> 3.5.11)
Subpackages: libgnutls-dane0 libgnutls-devel libgnutls-openssl27 libgnutls30
libgnutls30-32bit

- skip trust-store tests to avoid build cycle with
ca-certificates-mozilla, add gnutls-3.5.11-skip-trust-store-tests.patch
- GnuTLS 3.5.11:
* gnutls.pc: do not include libtool options into Libs.private.
* libgnutls: Fixed issue when rehandshaking without a client certificate in
a session which initially used one
* libgnutls: Addressed read of 4 bytes past the end of buffer in OpenPGP
certificate parsing (bsc#1038337)
* libgnutls: Introduced locks in gnutls_pkcs11_privkey_t structure access.
That allows PKCS#11 operations such as signing to be performed with the
same object from multiple threads.
* libgnutls: when disabling OpenPGP authentication, the resulting library
is ABI compatible (will openpgp related functions being stubs that fail
on invocation).

==== gperf ====
Version update (3.0.4 -> 3.1)

- Update to version 3.1:
* The generated C code is now in ANSI-C by default.
* The 'len' parameter of the hash function and of the lookup
function is now of type 'size_t' instead of 'unsigned int'.
* Added option --constants-prefix.
* Added declaration %define constants-prefix.
- Some packaging changes:
* https urls for downloads
* keyring is now fetched from savannah

==== gpg2 ====
Version update (2.1.20 -> 2.1.21)

- GnuPG 2.1.21:
* gpg,gpgsm: Fix corruption of old style keyring.gpg files,
regression in 2.1.20
* gpg,dirmngr: Removed the skeleton config file support
New installations no longer generate a configuration file.
In the absence of a file, SHA-2 family hashes are used.
Existing configurations are not touched.
drop gnupg-2.1.19-stronger-defaults.patch FATE#323084
* gpg: Fixed import filter property match bug.
* scd: Removed Linux support for Cardman 4040 PCMCIA reader.
* scd: Fixed some corner case bugs in resume/suspend handling.
* Many minor bug fixes and code cleanup.

==== grub2 ====
Subpackages: grub2-i386-pc grub2-snapper-plugin grub2-systemd-sleep-plugin
grub2-x86_64-efi grub2-x86_64-xen

- grub2-xen-pv-firmware.cfg: insmod lvm module as it's not auto-loaded
to support booting from lvm volume (bsc#1004324)
- Grub not working correctly with xen and btrfs snapshots (bsc#1026511)
* Add grub2-btrfs-09-get-default-subvolume.patch
* grub2-xen-pv-firmware.cfg : search path in default subvolume

==== gtk3 ====
Version update (3.22.11 -> 3.22.14)
Subpackages: gtk3-data gtk3-immodule-amharic gtk3-immodule-inuktitut
gtk3-immodule-thai gtk3-immodule-vietnamese gtk3-immodule-xim gtk3-tools
libgtk-3-0 typelib-1_0-Gtk-3_0

- Update to version 3.22.14:
+ Fix build without sassc.
+ Fix clipboard handling of UTF8 text.
- Update to version 3.22.13:
+ Bugs fixed: bgo#358970, bgo#771269, bgo#773814, bgo#778301,
bgo#778617, bgo#779570, bgo#780301, bgo#781118, bgo#781162,
bgo#781195, bgo#781214, bgo#781422, bgo#781605, bgo#781622,
bgo#781737, bgo#781767, bgo#781814, bgo#781992, bgo#782109,
bgo#782180, bgo#782202.
+ Updated translations.
- Update to version 3.22.12:
+ Bugs fixed: bgo#686838, bgo#734946, bgo#773228, bgo#776472,
bgo#778853, bgo#779081, bgo#779184, bgo#780041, bgo#780234,
bgo#780734, bgo#780735, bgo#780878, bgo#780994.
+ Updated translations.
- Add Requires gdk-pixbuf-loader-rsvg. bsc#1007453
We require adwaita-icon-theme so we need something to load
the svg icons it provides.

==== gucharmap ====
Version update (9.0.3 -> 9.0.4)
Subpackages: libgucharmap_2_90-7

- Update to version 9.0.4:
+ Updated translations.

==== gvfs ====
Version update (1.32.0 -> 1.32.1)
Subpackages: gvfs-backend-afc gvfs-backend-samba gvfs-backends gvfs-fuse

- Update to version 1.32.1:
+ common: Fix potential crash caused by missing g_strdup.
+ fuse: Prevent potential crash if file handle is not set.
+ sftp: Prevent potential crash in case of parsing error.
+ google:
- Prevent potential crashes if resolve_dir fails.
- Fix reported file size.
+ gphoto2: Fix x-content-types setup.
+ Updated translations.

==== harfbuzz ====
Version update (1.4.5 -> 1.4.6)
Subpackages: harfbuzz-devel libharfbuzz-icu0 libharfbuzz0 libharfbuzz0-32bit

- Update to version 1.4.6:
+ Graphite2: Fix RTL positioning issue.
+ Backlist GDEF of more versions of Padauk and Tahoma.
+ New, experimental, cmake alternative build system.

==== hwinfo ====
Version update (21.45 -> 21.46)
Subpackages: hwinfo-devel

- merge gh#openSUSE/hwinfo#50
- map also alternate video bios entry points (bsc#1033832)
- try harder to get the video mode list
- add links to technical specifications
- 21.46

==== imlib2 ====
Version update (1.4.9 -> 1.4.10)

- Update to 1.4.10
* PNM, TGA, XPM, and general loader fixes.

==== intltool ====

- Add fixrace.patch to fix random desktop file corruptions
(lp#1687644 boo#1021335)

==== kdump ====

- kdump-x86_64-kexec-file-syscall.patch: add -s on x86_64 for
signature verification of kernel. (fate#315018, bsc#884453)
- kdump-bind-mount-sysroot.patch: Convert sysroot to a bind mount
in kdump initrd (bsc#976864).
- kdump-pre-generate-mount-units.patch: Pre-generate kdump mount
units (bsc#942895).
- kdump-always-pass-kernelver-to-dracut.patch: Always pass kernel
version to dracut (bsc#900418).
- kdump-no-xen-secondary-kernel.patch: Avoid Xenlinux (aka
traditional, Xenified or SUSE) kernels as kdump kernel
(bsc#900418, bsc#974270).
- kdump-KDUMP_SSH_IDENTITY.patch: Add KDUMP_SSH_IDENTITY config
option (FATE#321583).
- kdump-KDUMP_SSH_IDENTITY-cfg.patch: Add KDUMP_SSH_IDENTITY to the
config file template (FATE#321583).

==== kernel-firmware ====
Version update (20170422 -> 20170511)
Subpackages: ucode-amd

- Update to version 20170511:
* cxgb4: update firmware to revision 1.16.43.0
* linux-firmware: add Marvell USB8997 firmware image
* iwlwifi: update -22 firmware for 3168

==== kernel-source ====
Version update (4.11.0 -> 4.11.1)
Subpackages: kernel-default kernel-default-devel kernel-devel kernel-docs
kernel-macros kernel-syms

- Linux 4.11.1 (bnc#1012628 bnc#1038615).
- Delete
patches.fixes/refcount-change-EXPORT_SYMBOL-markings.patch.
- commit c31e8e6
- IB/rxe: Don't clamp residual length to mtu (boo#1030941).
- commit 89c1e48
- refcount: change EXPORT_SYMBOL markings (bnc#1038615).
- commit 8acb5bf
- config: disable XFS_RT
- commit 98d6a9a
- e1000e: Don't return uninitialized stats (bug#1034635).
- commit 836a5a5
- Set CONFIG_CRYPTO_MD5=y for a better diagnoise at S4 resume (bsc#1031893).
- commit 0ecb407

==== keyutils ====
Version update (1.5.9 -> 1.5.10)
Subpackages: keyutils-devel libkeyutils1 libkeyutils1-32bit

- updated to 1.5.10
- added "dh_compute" callback
- manpage improvements

==== kiwi ====
Version update (7.04.30 -> 7.04.31)
Subpackages: kiwi-desc-isoboot kiwi-desc-netboot kiwi-desc-oemboot
kiwi-desc-vmxboot kiwi-doc kiwi-media-requires kiwi-templates

- v7.04.31 released
- Fixed detection of Xen PV guest
The method isXen was used to check if the paravirtual kernel
kernel-xen is used and if so it influences the setup of the
bootloader. In newer versions there is no kernel-xen anymore
and its capabilities were moved into the pvops kernel provided
with the standard kernel-default package. Thus one kernel can
now serve for pv, hvm and dom0 images. Because of that there is
no other way than specifying the target Xen use case as part
of the image description. The information can be provided in
the doman setup of the machine configuratin with:
- domain="dom0"
- domain="domU"
- domain="domU-PV"
The new domU-PV value allows to specify that this image is going
to be used as a xen para virtual guest. The standard domU value
will setup the bootloader in a way that it is usable as "real"
bootloader in an hvmloader Xen guest. Fixes (bsc#1036198)

==== libfastjson ====
Version update (0.99.4 -> 0.99.5)

- update to 0.99.5:
* fix floating point representation when fractional part is missing
* m4: fix detection of atomics
* add fjson_object_dump() and fjson_object_write() functions

==== libinput ====
Version update (1.7.0 -> 1.7.2)
Subpackages: libinput-udev libinput10

- Update to version 1.7.2:
* The main change here are patches that change the pressure
ranges for Elantech touchpads down to something more lenient.
Previously, the range was set too high, causing the touchpad to
behave erratically unless the finger pressure was quite high.
- Drop libinput-elantech-pressure-levels.patch: Fixed upstream.
- Update to new upstream release 1.7.1
* One patch fixes a test case failure for recent systemd
versions, the other patch fixes a minor issue with the
touchpad code that was likely never triggered anyway.

==== libnice ====
Version update (0.1.13 -> 0.1.14)
Subpackages: gstreamer-libnice libnice10

- Update to version 0.1.14:
+ Improved RFC compliance.
+ Split verbose logs into a separate option.
+ Numerous bug fixes.
+ Use GnuTLS for hash functions.
+ Implement NewReno in PseudoTCP.
+ Requires GLib 2.44 GnuTLS 2.12.
- Add pkgconfig(gnutls) BuildRequires: new dependency.

==== libopenmpt ====
Version update (0.8.8.5 -> 0.2.7774~beta22)

- Update to 0.2.7774-beta22
- Make mpg123 conditional and disabled for now by default
- Fix the Factory build with the new rpm
- Update summaries and descriptions.
- Enable the SDL2 driver as an option, as the portaudio driver
appears to hang with ALSA (and not everyone runs Pulseaudio).
- Initial package containing libopenmod more updated secure alternative
bsc#1022032

==== libqt4 ====
Subpackages: libqt4-32bit libqt4-qt3support libqt4-qt3support-32bit libqt4-sql
libqt4-sql-32bit libqt4-sql-sqlite libqt4-sql-sqlite-32bit libqt4-x11
libqt4-x11-32bit

- Add fix-build-icu59.patch to fix building with ICU4C >= 59
- Invoke configure with sh to fix build on some older distros

==== libqt5-qtwebkit ====
Subpackages: libQt5WebKit5 libQt5WebKit5-devel libQt5WebKit5-imports
libQt5WebKitWidgets-devel libQt5WebKitWidgets5

- Add patch to fix build with ICU4C >= 59:
* fix-build-icu59.patch

==== libreoffice ====
Version update (5.3.2.2 -> 5.3.3.2)
Subpackages: libreoffice-base libreoffice-base-drivers-mysql
libreoffice-branding-upstream libreoffice-calc libreoffice-draw
libreoffice-filters-optional libreoffice-gnome libreoffice-gtk3
libreoffice-icon-theme-breeze libreoffice-icon-theme-galaxy
libreoffice-icon-theme-hicontrast libreoffice-icon-theme-oxygen
libreoffice-icon-theme-sifr libreoffice-icon-theme-tango libreoffice-impress
libreoffice-kde4 libreoffice-l10n-cs libreoffice-l10n-da libreoffice-l10n-de
libreoffice-l10n-el libreoffice-l10n-en libreoffice-l10n-es libreoffice-l10n-fr
libreoffice-l10n-hu libreoffice-l10n-it libreoffice-l10n-ja libreoffice-l10n-pl
libreoffice-l10n-pt_BR libreoffice-l10n-ru libreoffice-l10n-zh_CN
libreoffice-l10n-zh_TW libreoffice-mailmerge libreoffice-math libreoffice-pyuno
libreoffice-writer libreofficekit

- Version update to 5.3.3.2 fate#323270:
* Update to 5.3.3 release containing bunch of additional fixes
- Add direct dep on harfbuzz-icu
- Version update to 5.3.3.1:
* Also contians fix for bsc#1036975 CVE-2017-8358
* Various fixes in 5.3 branch for rc1 of 5.3.3

==== libreoffice-share-linker ====

- Fix bsc#953511 by removing leftover dirs

==== libsamplerate ====
Subpackages: libsamplerate-devel libsamplerate0

- Add missing provides/obsoletes for the old libsamplerate package

==== libsndfile ====
Subpackages: libsndfile-devel libsndfile1 libsndfile1-32bit

- Fix FLAC buffer overflows (CVE-2017-8361 CVE-2017-8363
CVE-2017-8365 CVE-2017-8362 bsc#1036944 bsc#1036945 bsc#1036946
bsc#1036943):
0001-FLAC-Fix-a-buffer-read-overrun.patch
0002-src-flac.c-Fix-a-buffer-read-overflow.patch

==== libsoup ====
Version update (2.57.1 -> 2.58.1)
Subpackages: libsoup-2_4-1 typelib-1_0-Soup-2_4

- Update to version 2.58.1:
+ Reverts a change to SoupSession to close all open connections
when the :proxy-resolver property is changed (bgo#777326). This
change was made in 2.58.0 but accidentally left out of the NEWS
for that release; although that behavior made :proxy-resolver
more consistent with :proxy-uri, it ended up breaking Evolution
EWS (bgo#781590).
+ Fixed undefined behavior in tests/header-parsing that could
make the test spuriously fail (bgo#777258).
+ Updates to the configure tests for Apache for use in tests/:
- Dropped support for Apache 2.2.
- Changed PHP support from PHP 5 to PHP 7.
- mod_unixd can now be either built-in or dynamically loaded
(bgo#776478).
+ Updated translations.
- Update to version 2.58.0:
+ Fix authentication issues when the
SOUP_MESSAGE_DO_NOT_USE_AUTH_CACHE flag is used (bgo#778497,
bgo#777936).
+ MSVC build improvements.
+ Updated translations.

==== libvirt ====
Subpackages: libvirt-client libvirt-daemon libvirt-daemon-config-network
libvirt-daemon-config-nwfilter libvirt-daemon-driver-interface
libvirt-daemon-driver-libxl libvirt-daemon-driver-lxc
libvirt-daemon-driver-network libvirt-daemon-driver-nodedev
libvirt-daemon-driver-nwfilter libvirt-daemon-driver-qemu
libvirt-daemon-driver-secret libvirt-daemon-driver-storage
libvirt-daemon-driver-storage-core libvirt-daemon-driver-storage-disk
libvirt-daemon-driver-storage-iscsi libvirt-daemon-driver-storage-logical
libvirt-daemon-driver-storage-mpath libvirt-daemon-driver-storage-rbd
libvirt-daemon-driver-storage-scsi libvirt-daemon-driver-uml
libvirt-daemon-driver-vbox libvirt-daemon-lxc libvirt-daemon-qemu
libvirt-daemon-xen libvirt-libs

- qemu: add support for 288 VCPUS
aeda1b8c-qemu-no-error-shutdown.patch,
8023b21a-conf-ioapic.patch,
6b5c6314-qemu-irqchip.patch,
2020e2c6-conf-intremap.patch,
04028a9d-qemu-intremap.patch,
d12781b4-conf-iommu-cache-mode-attr.patch,
a5691448-qemu-iommu-cache-mode.patch,
3a276c65-conf-iommu-def-stability-check.patch,
935d927a-conf-iommu-ABI-stability-check.patch
FATE#321335
- revert commit 2841e675: qemu: propagate bridge MTU into qemu
"host_mtu"
revert-2841e675-mtu.patch
bsc#1037774
- Update to libvirt 3.3.0
- Many incremental improvements and bug fixes, see
http://libvirt.org/news.html
- Bug fixes:
bsc#978121, bsc#1017017, bsc#1032863, bsc#1033117, bsc#1034024,
bsc#1034146, bsc#1035995
- libxl: updated libxl-def-usbctrl.patch
bsc#1031056

==== libwps ====
Version update (0.4.5 -> 0.4.6)

- Version update to 0.4.6:
* Small bugfixes

==== libyui-ncurses ====
Version update (2.48.0 -> 2.48.2)

- adjustments needed to work with latest ncurses update (bsc#1034922)
- 2.48.2
- Treat RichText non-pair tag cases (gh#libyui-ncurses/issues#33).
- 2.48.1

==== libzypp ====
Version update (16.9.0 -> 16.11.0)

- add identIsAutoInstalled convenience methods
- make gcc6 happy
- version 16.11.0 (0)
- Use a common workflow for downloading packages and srcpackages.
This includes a common way of handling and reposrting gpg signature
and checks. (bsc#1037210)
- PackageProvider: as well support downloading SrcPackage (for bsc#1037210)
- version 16.10.0 (0)

==== lvm2 ====
Subpackages: liblvm2app2_2 liblvm2cmd2_02

- Add lvmlockd-related configuration items in lvm.conf, fate#323203
- Fix compiling issue of lvmlockd, bsc#1037309
+ Makefile-skip-compliling-daemons-lvmlockd-directory.patch
- Remove comments breaking scriptlets:
* warning: %postun(libdevmapper1_03-1.02.137-5.1.x86_64) scriptlet failed

==== mailx ====

- call gzip -n and drop CreationDate from manual.ps
to make build fully reproducible

==== makedumpfile ====
Version update (1.6.0 -> 1.6.1)

- Update to 1.6.1 (FATE#322011).
* Enhance support for aarch64
* Enhance support for ppc64
* Support kernels up to 4.8
- Drop upstreamed patch
* makedumpfile-_count-_refcount-rename.patch
- Merge with updates on SLE12 SP2 (FATE#318012, bsc#992885,
bsc#999869).

==== man-pages ====
Version update (4.09 -> 4.11)

- update to 4.11:
* New and rewritten pages
ioctl_userfaultfd.2
statx.2
userfaultfd.2
pthread_atfork.3
slabinfo.5
inode.7
* Renamed pages
ioctl_console.2 (from console_ioctl.4)
ioctl_tty.2 (from tty_ioctl.4)
* Newly documented interfaces in existing page
ioctl_ns.2
Document the NS_GET_NSTYPE operation added in Linux 4.11
Document the NS_GET_OWNER_UID operation added in Linux 4.11
proc.5
Document /proc/sys/kernel/sched_child_runs_first
* see Changes for details; for 4.10 changes, see Changes.old
* do not package explicit_bzero.3 .so link to bzero.3

==== manufacturer-PPDs ====

- call gzip -n -9 to make build more reproducible and have smaller results

==== media-player-info ====

- Add reproducible.patch to make build fully reproducible

==== mpg123 ====
Subpackages: mpg123-esound mpg123-openal mpg123-pulse

- dont require mpg123-32bit, it is not present
- Update baselibs.conf
- add a baselibs.conf, so 32bit wine can use it or even
build against it.

==== myspell-dictionaries ====
Version update (20161031 -> 20170511)
Subpackages: myspell-cs_CZ myspell-da_DK myspell-de myspell-de_DE myspell-el_GR
myspell-en myspell-en_GB myspell-en_US myspell-es myspell-es_ES myspell-fr_FR
myspell-hu_HU myspell-it_IT myspell-lightproof-en myspell-lightproof-hu_HU
myspell-lightproof-pt_BR myspell-lightproof-ru_RU myspell-pl_PL myspell-pt_BR
myspell-ru_RU

- Update to git state 20170511:
* Add Tibetian dictionary
- Update update.sh script to not bother < 12.3 releases
- add FLAG UTF-8 to es_ANY.aff [bsc#1014742]
+ myspell-dictionaries-es-FLAG-UTF-8.patch

==== nautilus ====
Version update (3.24.0 -> 3.24.1)
Subpackages: gnome-shell-search-provider-nautilus libnautilus-extension1

- Update to version 3.24.1:
+ Focus when a new folder is created.
+ Do not consider directory names with dots as extensions.
+ Fix move to/copy to when searching.
+ Various fixes to the new experimental views.
+ Fix scripts order in submenu.
+ Fix open in new tab/window in Other Places.
+ Show new networks available while in Other Places view.

==== ncurses ====
Subpackages: libncurses6 ncurses-devel ncurses-utils tack terminfo terminfo-base

- Also split libtic into normal and wide version libticw as those
libraries are linked with libtinfo respectively libtinfow
- The tack tool does require the old _nc_read_entry()
- Add ncurses patch 20170422
+ build-fix for termcap-configuration (report by Chi-Hsuan Yen).
+ improve terminfo manual page discussion of control- and graphics-
characters.
+ remove tic warning about "^?" in string capabilities, which was
marked as an extension (cf: 20000610, 20110820); however all Unix
implementations support this and X/Open Curses does not address it.
On the other hand, termcap never did support this feature.
+ correct missing comma-separator between string capabilities in
icl6402 and m2-nam -TD
+ restore rmir/smir in ansi+idc to better match original ansiterm+idc,
add alias ansiterm (report by Robert King).
+ amend an old check for ambiguous use of "ma" in terminfo versus
a termcap use, if the capability is cancelled to treat it as number.
+ correct a case in _nc_captoinfo() which read "%%" and emitted "%".
+ modify sscanf calls in _nc_infotocap() for patterns "%{number}%+%c"
and "%'char'%+%c" to check that the final character is really 'c',
avoiding a case in icl6404 which cannot be converted to termcap.
+ in _nc_infotocap(), add a check to ensure that terminfo "^?" is not
written to termcap, because the BSDs did not implement that.
+ in _nc_tic_expand() and _nc_infotocap(), improve string-length check
when deciding whether to use "^X" or "\xxx" format for control
characters, to make the output of tic/infocmp more predictable.
+ limit termcap "%d" width to 2 digits on input, and use "%2" in
preference to "%02" on output.
+ correct terminfo/termcap conversion of "%02" and "%03" into "%2" and
"%3"; the result repeated the last character.
+ add man/scr_dump.5 to document screen-dump format.
- Add ncurses patch 20170415
+ modify several test programs to use new popup_msgs, adapted from
help-screen used in test/edit_field.c
+ drop two symbols obsoleted in 2004: _nc_check_termtype, and
_nc_resolve_uses
+ fix some old copyright dates (cf: 20031025).
+ build-fixes for test/savescreen.c to work with AIX and HPUX.
+ minor fix to configure script, adding a backslash/continuation.
+ extend TERMINAL structure for ABI 6 to store numbers internally as
integers rather than short, by adding new data for this purpose.
+ more fixes for minor memory-leaks in test-programs.
- With one of the latest update patches libtinfo now has become
splitted into a normal and wide character version (boo#1033198)
- Add ncurses patch 20170408
+ change logic in wins_nwstr() to avoid addressing data past the output
of mbstowcs().
+ correct a call to setcchar() in Data_Entry_w() from 20131207 changes.
+ fix minor memory-leaks in test-programs.
+ further improve ifdef in term_entry.h for internal definitions not
used by tack.
- Add ncurses patch 20170401
+ minor fixes for vt100+4bsd, e.g., delay in sgr for consistency -TD
+ add smso for env230, to match sgr -TD
+ remove p7/protect from sgr in fbterm -TD
+ drop setf/setb from fbterm; setaf/setab are enough -TD
+ make xterm-pcolor sgr consistent with other capabilities -TD
+ add rmxx/smxx ECMA-48 strikeout extension to tmux and xterm-basic
(discussion with Nicholas Marriott)
+ add test-programs sp_tinfo and extended_color
+ modify no-leaks code for lib_cur_term.c to account for the tgetent()
cache.
+ modify setupterm() to save original tty-modes so that erasechar()
works as expected. Also modify _nc_setupscreen() to avoid redundant
calls to get original tty-modes.
+ modify set_curterm() to update ttytype[] data used by longname().
+ modify wattr_set() and wattr_get() to return ERR if win-parameter is
null, as documented.
+ improve cast used for null-pointer checks in header macros, to
reduce compiler warnings.
+ modify several functions, using the reserved "opts" parameter to pass
color- and pair-values larger than 16-bits:
+ getcchar(), setcchar(), slk_attr_set(), vid_puts(), wattr_get(),
wattr_set(), wchgat(), wcolor_set().
+ Other functions call these with the corresponding altered behavior,
including chgat(), mvchgat(), mvwchgat(), slk_color_on(),
slk_color_off(), vid_attr().
+ add new functions for manipulating color- and pair-values larger
than 16-bits. These are extended_color_content(),
extended_pair_content(), extended_slk_color(), init_extended_color(),
init_extended_pair(), and the corresponding sp-funcs.

==== nghttp2 ====
Version update (1.21.1 -> 1.22.0)

- Update to version 1.22.0:
* lib: Add missing free call on error in inflight_settings_new() (Patch from
lstefani) (GH-884)
* asio: Support specifying stream priority via session::submit() (Patch from
Matt Way) (GH-881)
* nghttpx: Clarify --conf option behaviour
* nghttpx: Add $tls_sni access log variable (GH-896)
* nghttpx: Rename ssl_* log variables as tls_* (GH-895)
* nghttpx: Fix path matching bug (GH-894)
* nghttpx: SNI based backend server selection (GH-892)
* nghttpx: Enable signed_certificate_timestamp extension for TLSv1.3 (GH-878)
* nghttpx: Add options for X-Forwarded-Proto header field (GH-872)
* nghttpx: Add --single-process option (GH-869)
* nghttpx: Use 502 as server error code
* nghttpx: Use SSL_CTX_set_early_data_enabled with boringssl
* nghttp: Verify server certificate and show warning if it fails (GH-870)
* integration: Use nip.io instead of xip.io

==== npth ====
Version update (1.3 -> 1.4)

- update to 1.4:
* fixes for platforms other than GNU/Linux
* New function npth_is_protected to help debugging.
* Change license from LGPLv3+/GPLv2+ to LGPLv2+.
- run tests
- update signing keyring
- package license text and other information

==== nut ====
Subpackages: libupsclient1 nut-cgi

- Fix RPM groups and the HTML description
- Do not suppress errors from useradd
- Remove --with-pic that's only for static libs

==== openmpi ====
Version update (1.10.3 -> 1.10.6)
Subpackages: openmpi-devel openmpi-libs

- Make description more objective
- Unify spec with SLE12
- Use upstream git repo to fetch source tarball
- Add openmpi-etc-files.patch to update config files so they
match files from OpenMPI2
- Make dependencies on libs now coming from rdma-core versioned.
- Add new file to files section.
- Update to 1.10.6 (fate#321475)
Changes since 1.10.3:
1.10.6:
- Fix bug in timer code that caused problems at optimization settings
greater than 2
- OSHMEM: make mmap allocator the default instead of sysv or verbs
- Support MPI_Dims_create with dimension zero
- Update USNIC support
- Prevent 64-bit overflow on timer counter
- Add support for forwarding signals
- Fix bug that caused truncated messages on large sends over TCP BTL
- Fix potential infinite loop when printing a stacktrace
1.10.5:
- Update UCX APIs
- Fix bug in darray that caused MPI/IO failures
- Use a MPI_Get_library_version() like string to tag the debugger DLL.
Thanks to Alastair McKinstry for the report
- Fix multi-threaded race condition in coll/libnbc
- Several fixes to OSHMEM
- Fix bug in UCX support due to uninitialized field
- Fix MPI_Ialltoallv with MPI_IN_PLACE and without MPI param check
- Correctly reset receive request type before init. Thanks Chris Pattison
for the report and test case.
- Fix bug in iallgather[v]
- Fix concurrency issue with MPI_Comm_accept. Thanks to Pieter Noordhuis
for the patch
- Fix ompi_coll_base_{gather,scatter}_intra_binomial
- Fixed an issue with MPI_Type_get_extent returning the wrong extent
for distributed array datatypes.
- Re-enable use of rtdtsc instruction as a monotonic clock source if
the processor has a core-invariant tsc. This is a partial fix for a
performance regression introduced in Open MPI v1.10.3.
1.10.4:
- Fix assembler support for MIPS
- Improve memory handling for temp buffers in collectives
- Fix [all]reduce with non-zero lower bound datatypes
Thanks Hristo Iliev for the report
- Fix non-standard ddt handling. Thanks Yuki Matsumoto for the report
- Various libnbc fixes. Thanks Yuki Matsumoto for the report
- Fix typos in request RMA bindings for Fortran. Thanks to @alazzaro
and @vondele for the assist
- Various bug fixes and enhancements to collective support
- Fix predefined types mapping in hcoll
- Revive the coll/sync component to resolve unexpected message issues
during tight loops across collectives
- Fix typo in wrapper compiler for Fortran static builds
- Remove spurious characters from environment module (bsc#1012380).

==== openssl ====
Subpackages: libopenssl-devel

- Provide pkgconfig(openssl)
- Provide basic baselibs.conf for 32bit subpackages
- Specify this package as noarch (as we just provide README files)
- Fix typo in openssl requires
- Add dependency on the branched devel package
- Provide all pkgconfig symbols to hide them in versioned subpkgs
- This allows us to propagate only the preffered version of openssl
while allowing us to add extra openssl only as additional dependency
- Remove the ssl provides as it is applicable for only those that
really provide it
- Prepare to split to various subpackages converting main one to
dummy package
- Reduce to only provide main pkg and devel and depend on proper
soversioned package
- Version in this package needs to be synced with the one provided
by the split package
- Remove all the patches, now in the proper versioned namespace:
* merge_from_0.9.8k.patch
* openssl-1.0.0-c_rehash-compat.diff
* bug610223.patch
* openssl-ocloexec.patch
* openssl-1.0.2a-padlock64.patch
* openssl-fix-pod-syntax.diff
* openssl-truststore.patch
* compression_methods_switch.patch
* 0005-libssl-Hide-library-private-symbols.patch
* openssl-1.0.2a-default-paths.patch
* openssl-pkgconfig.patch
* openssl-1.0.2a-ipv6-apps.patch
* 0001-libcrypto-Hide-library-private-symbols.patch
* openssl-1.0.2i-fips.patch
* openssl-1.0.2a-fips-ec.patch
* openssl-1.0.2a-fips-ctor.patch
* openssl-1.0.2i-new-fips-reqs.patch
* openssl-gcc-attributes.patch
* 0001-Axe-builtin-printf-implementation-use-glibc-instead.patch
* openssl-no-egd.patch
* openssl-fips-hidden.patch
* openssl-1.0.1e-add-suse-default-cipher.patch
* openssl-1.0.1e-add-test-suse-default-cipher-suite.patch
* openssl-missing_FIPS_ec_group_new_by_curve_name.patch
* openssl-fips-dont_run_FIPS_module_installed.patch
* openssl-fips_disallow_x931_rand_method.patch
* openssl-fips_disallow_ENGINE_loading.patch
* openssl-rsakeygen-minimum-distance.patch
* openssl-urandom-reseeding.patch
* openssl-fips-rsagen-d-bits.patch
* openssl-fips-selftests_in_nonfips_mode.patch
* openssl-fips-fix-odd-rsakeybits.patch
* openssl-fips-clearerror.patch
* openssl-fips-dont-fall-back-to-default-digest.patch
* openssl-fipslocking.patch
* openssl-print_notice-NULL_crash.patch
* openssl-randfile_fread_interrupt.patch

==== openssl-1_0_0 ====
Subpackages: libopenssl1_0_0 libopenssl1_0_0-32bit

- Add conflict for any libopenssl-devel that is not in our version
- Avoid the requires conflict between 1.1 and 1.0 openssl
- Add conflict on docu packages
- Update baselibs.conf to contain all the renamed packages
- Fix the provides excluder broken with last commit
- Add patch to build abi compatible version for steam
* openssl-fix-cpuid_setup.patch
- Create new subpackage which installs the file in proper location
* Make sure no provides are done in there
- Filter out the pkgconfig provides to force usage of the main
openssl package provides
- Add initial patch for versioning taken from debian:
* openssl-1.0.0-version.patch
- Drop the symbol hiding patches to ease maintenance updates:
* 0005-libssl-Hide-library-private-symbols.patch
* 0001-libcrypto-Hide-library-private-symbols.patch
- Add new patch for engines folders to allow co-installation
* openssl-engines-path.patch
- Drop openssl-ocloexec.patch as it causes additional maintenance
burden we would like to avoid
- Drop bug610223.patch as we moved to libdir
- Move check to %check phase
- Split showciphers to separate file
- Move openssl to /usr/lib64 from /lib64
- Remove some of the DSO setting code that is not needed
- Fix the showcyphers binary
- Rename to openssl-1_0_0 to allow instalation of multiple versions

==== parted ====
Subpackages: libparted0

- Enhance fdasd detection and probing (bsc#935127, fate#320525)
- add: 0001-fdasd-geometry-handling-updated-from-upstream-s390-t.patch
- add: 0002-dasd-enhance-device-probing.patch
- add: 0003-parted-fix-build-error-on-s390.patch
- add: 0004-fdasd.c-Safeguard-against-geometry-misprobing.patch
- add: 0005-libparted-Remove-fdasd-geometry-code-from-alloc_meta.patch
- refresh: libparted-dasd-update-and-improve-fdasd-functions.patch
- refresh: libparted-dasd-add-new-fdasd-functions.patch
- Add support for RAM drives for not erasing them when printing
their partitions (bsc#1006834)
- add: libparted-Add-support-for-RAM-drives.patch

==== patterns-desktop ====
Subpackages: patterns-desktop-books patterns-desktop-imaging
patterns-desktop-imaging_opt patterns-desktop-laptop
patterns-desktop-multimedia patterns-desktop-multimedia_opt
patterns-desktop-technical_writing

- Compact %install routine; replace old RPM shell vars by macros.

==== patterns-devel-base ====
Subpackages: patterns-devel-base-devel_basis patterns-devel-base-devel_kernel
patterns-devel-base-devel_rpm_build patterns-devel-base-devel_web

- Compact %install routine; replace old RPM shell vars by macros.

==== patterns-fonts ====
Subpackages: patterns-fonts-fonts patterns-fonts-fonts_opt

- Use macros over old $RPM shell vars.
Change to a sh loop for creating minimally different text files.

==== patterns-gnome ====
Subpackages: patterns-gnome-gnome patterns-gnome-gnome_admin
patterns-gnome-gnome_basis patterns-gnome-gnome_basis_opt
patterns-gnome-gnome_games patterns-gnome-gnome_ide
patterns-gnome-gnome_imaging patterns-gnome-gnome_imaging_opt
patterns-gnome-gnome_internet patterns-gnome-gnome_laptop
patterns-gnome-gnome_multimedia patterns-gnome-gnome_multimedia_opt
patterns-gnome-gnome_office patterns-gnome-gnome_office_opt
patterns-gnome-gnome_utilities patterns-gnome-gnome_yast
patterns-gnome-sw_management_gnome

- Compact %install routine; replace old RPM shell vars by macros.

==== patterns-kde ====
Subpackages: patterns-kde-devel_kde patterns-kde-devel_kde_frameworks
patterns-kde-devel_qt5 patterns-kde-kde patterns-kde-kde_edutainment
patterns-kde-kde_games patterns-kde-kde_ide patterns-kde-kde_imaging
patterns-kde-kde_internet patterns-kde-kde_multimedia patterns-kde-kde_office
patterns-kde-kde_plasma patterns-kde-kde_telepathy patterns-kde-kde_utilities
patterns-kde-kde_utilities_opt patterns-kde-kde_yast
patterns-kde-sw_management_kde

- Recommend ffmpegthumbs, kdegraphics-thumbnailers
and kde-odf-thumbnail as well (boo#1017035)

==== patterns-media ====

- Drop dependency on office_opt: it was an empty pattern that has
been removed.

==== patterns-office ====
Version update (20170319 -> 20170506)

- Add math to default pattern
- Kill office-opt pattern: mostly unwanted by default unless someone
needs special functions
- This makes sure java is not pulled in by this pattern
- Use macros over old $RPM shell vars.
Change to a sh loop for creating minimally different text files.

==== perl-Bootloader ====
Version update (0.918 -> 0.919)

- merge gh#openSUSE/perl-bootloader#113
- fix device name check (bsc#1033634, bsc#1033776)
- 0.919

==== perl-Net-DNS ====
Version update (1.09 -> 1.10)

- updated to 1.10
see /usr/share/doc/packages/perl-Net-DNS/Changes

==== pkg-config ====
Version update (0.29.1 -> 0.29.2)

- Update to version 0.29.2:
+ Improved pkg-config's recursive package list expansion
performance.
+ Handle an empty prefix setting correctly when --define-prefix
is used (fdo#97453).
+ Lazily load pc files instead of reading all available pc files
during initialization (fdo#98215).
+ Check the CPATH environment variable when determining system
include paths like GCC does. Document the system search path
behavior (fdo#99224).
+ Make PKG_CHECK_MODULES show the module list rather than the
variable prefix in configure output (fdo#98334).
+ Fix bundled glib build with GCC 6 (fdo#98334).
+ Handle -isystem and -idirafter when PKG_CONFIG_SYSROOT_DIR is
set (fdo#97337).
+ Check the INCLUDE environment variable when determining system
include paths on Windows builds when --msvc-syntax is used
(fdo#94729).
- Drop pkg-config-gdate-fix.patch: fixed upstream.

==== portaudio ====
Version update (19_20140130 -> 190600_20161030)

- Update to latest version v190600_20161030
- Changes to portaudio.h (There were no changes to existing `portaudio.h`
API/ABI in this release)
- The API was extended as follows:
- Prior to March 3, 2015, `Pa_GetVersion()` always returned 1899 in the `V19`
version of PortAudio.
- On March 3, 2015, enhanced version retrieval APIs were added to
`portaudio.h`:
* `Pa_GetVersion()` now returns a useful number, e.g. 0×00130501 for 19.5.1
* added `paMakeVersionNumber` macro for comparing to `int` version returned
by `Pa_GetVersion()`
* added `PaVersionInfo` struct with version major, minor, subminor,
versionControlRevision, versionText
* added `Pa_GetVersionInfo()` gets `PaVersionInfo` struct
* `Pa_GetVersionText()` is deprecated; use `Pa_GetVersionInfo()?versionText`
- On March 3, 2015, the version number was set to 19.5.0. (5 was chosen to
reflect that there were 4 prior V19 stable snapshots.)
* This new release has version number 19.6.0.
* The Host-API-specific structures for WDM/KS and WASAPI were altered in this
release. This is an ABI change.
Client code depending on these particular host-API-specific APIs will need
to be recompiled and linked against
a compatible PortAudio version. See below. Changes to WDM/KS
Host-API-specific Struct in pa_win_wdmks.h
* Added `flags` and `channelMask` fields to `PaWinWDMKSInfo`. 4aa340a57e
- These changes were made on April 9, 2014. At that time `Pa_GetVersion()`
returned 1899. The changes are present when the version number is 19.5.0 or
greater.
* Forward/backward compatibility: The implementation checks the `size` field
of `PaWinWDMKSInfo`.
The old version will reject new structs, and the new version will reject
old structs.
In both cases `paIncompatibleHostApiSpecificStreamInfo` is the error
returned.
* Changes to WASAPI Host-API-specific Struct pa_win_wasapi.h
* Added `streamCategory` and `streamOption` to `PaWasapiStreamInfo` 4e194eaecf
- These changes were made on October 19, 2015. At that time `Pa_GetVersion()`
returned 19.5.0. The changes are present when the version number is 19.6.0 or
greater.
* Forward/backward compatibility: The implementation checks the `size` field
of `PaWasapiStreamInfo`.
The old version will reject new structs, and the new version will reject
old structs. In both cases
`paIncompatibleHostApiSpecificStreamInfo` is the error returned.
- Full Changelog:
https://app.assembla.com/wiki/show/portaudio/pa_stable_v190600_20161030

==== postgresql94 ====
Version update (9.4.11 -> 9.4.12)

- Update to version 9.4.12:
* https://www.postgresql.org/docs/9.4/static/release-9-4-12.html
* CVE-2017-7486, bsc#1037624: Restrict visibility of
pg_user_mappings.umoptions, to protect passwords stored as
user mapping options.
!!! Manual action is needed to fix this in existing databases
!!! See upstream release notes for details.
* CVE-2017-7485, bsc#1038293: recognize PGREQUIRESSL variable
again.
* CVE-2017-7484, bsc#1037603: Prevent exposure of statistical
information via leaky operators.
* Obsoletes postgresql-9.4.11-fix-timezone-tests.patch
- Move the timezone requirement to the server package as it was
originally intended.
- Sync spec file with postgresql96.
- Merge Factory and SLE-12.

==== postgresql95 ====
Version update (9.5.6 -> 9.5.7)

- Update to version 9.5.7:
* https://www.postgresql.org/docs/9.4/static/release-9-5-7.html
* CVE-2017-7486, bsc#1037624: Restrict visibility of
pg_user_mappings.umoptions, to protect passwords stored as
user mapping options.
!!! Manual action is needed to fix this in existing databases
!!! See upstream release notes for details.
* CVE-2017-7485, bsc#1038293: recognize PGREQUIRESSL variable
again.
* CVE-2017-7484, bsc#1037603: Prevent exposure of statistical
information via leaky operators.
* Obsoletes postgresql-9.5.6-fix-timezone-tests.patch
- Add "Requires: timezone" to Server Package (bsc#973660).
- Sync spec file with postgresql96.

==== postgresql96 ====
Version update (9.6.2 -> 9.6.3)
Subpackages: postgresql96-contrib postgresql96-docs postgresql96-server

- Replace krb5-devel BuildRequires with pkgconfig(krb5): allow OBS
to deliver krb5-mini when applicable.
- Update to version 9.6.3:
* https://www.postgresql.org/docs/9.6/static/release-9-6-3.html
* CVE-2017-7486, bsc#1037624: Restrict visibility of
pg_user_mappings.umoptions, to protect passwords stored as
user mapping options.
!!! Manual action is needed to fix this in existing databases
!!! See upstream release notes for details.
* CVE-2017-7485, bsc#1038293: recognize PGREQUIRESSL variable
again.
* CVE-2017-7484, bsc#1037603: Prevent exposure of statistical
information via leaky operators.
* Obsoletes postgresql-9.6.2-fix-timezone-tests.patch
- Added "Requires: timezone" to Server Package (bsc#973660)
- Submit postgresql96 to SLE-12 (bsc#1038474, fate#321481).

==== postgresql96-libs ====
Version update (9.6.2 -> 9.6.3)
Subpackages: libecpg6 libpq5 postgresql96-devel

- Replace krb5-devel BuildRequires with pkgconfig(krb5): allow OBS
to deliver krb5-mini when applicable.
- Update to version 9.6.3:
* https://www.postgresql.org/docs/9.6/static/release-9-6-3.html
* CVE-2017-7486, bsc#1037624: Restrict visibility of
pg_user_mappings.umoptions, to protect passwords stored as
user mapping options.
!!! Manual action is needed to fix this in existing databases
!!! See upstream release notes for details.
* CVE-2017-7485, bsc#1038293: recognize PGREQUIRESSL variable
again.
* CVE-2017-7484, bsc#1037603: Prevent exposure of statistical
information via leaky operators.
* Obsoletes postgresql-9.6.2-fix-timezone-tests.patch
- Added "Requires: timezone" to Server Package (bsc#973660)
- Submit postgresql96 to SLE-12 (bsc#1038474, fate#321481).

==== presage ====
Subpackages: libpresage1 presage-data

- Add presage-buildcycle.diff to break the build cycle
preemptively.
- Limit fdupes to not cross typical partition boundaries.

==== publicsuffix ====
Version update (20170331 -> 20170424)

- Update to version 20170424:
* Additional evennode.com domains (#428)
* Update .zw extensions (#369)
* Add Ici la Lune hosting domain (#370)
* Update Daplie, Inc domains (#388)
* Add XS4ALL Internet bv domains (#397)
* Add Octopodal Solutions, LLC domains (#404)
* Add Cloud66 domains (#409)
* Add A.W. AdvisorWebsites.com Software Inc domains (#413)
* Add Fedora domains (#414)
* Add Synology, Inc. domains (#415)
* Correct Fedora domain sorting
* Adding IPiFony Systems, Inc. domains (#429)
* Add Uberspace domains (#432)
* Add SensioLabs, SAS domains (#423)
* Update .ar ccTLD (#406)
* Update .??? domains (#408)
* Add Qutheory, LLC domains (#407)
* Adding Quip domains (#427)
* Add eDirect Corp domains (#398)
* Add bplaced network domains (#433)
* Add Mail.ru Group domains (#421)
* Update Platform.sh / Commerce Guys SAS domains (#417)
* Formatting

==== python-gobject ====
Version update (3.24.0 -> 3.24.1)
Subpackages: python3-gobject python3-gobject-Gdk python3-gobject-cairo

- Update to version 3.24.1:
+ pygi-info: initialize GIArgument before passing it to
g_constant_info_get_value (bgo#772949).
- Switch to single-spec version.
- Add python version-dependent wrapper packages to pull in
necessary dependencies.
- Include all dependencies in -devel packages.
- Rebase .changes file to include changes in -devel package.

==== python-packaging ====
Subpackages: python2-packaging python3-packaging

- fix pyparsing requirement

==== python-rpm-macros ====
Version update (1.0.git.1490791775.6e5b01c -> 2017.05.09.fc237de)

- version bump to 2017.05.09.fc237de
- fix badly generated %posttrans snippets in cases where
old %python_install_alternative syntax is used for secondary files
- rework %if-macros
- introduce %python_flavor, which configures behavior of generic %python_*
macros, and can be overriden by the user
- add --force to %python_install, to make install order fully deterministic
- version bump to 2017.04.27.d2ca08c
- switch versioning scheme to date-based
- switch from using service to a custom script update.sh
- auto-generate Provides: python2-modname in old distributions
(only for main package though)

==== rdma-core ====
Version update (1.3.10.2 -> 14)
Subpackages: libibumad3 libibverbs1 librdmacm1

- Split rdma-ndd into its own package to replace previous package
from infiniband-diags (bsc#1039146).
- Update to 14-rc1-40-g706fc2af (fate#321907, bsc#1020415).
No releases notes. Contains libbnxtre bug fixes
- Add baselibs.conf to generate -32bit libraries (bsc#1038742).
- Update to rdma-core v14-rc1 (bsc#1016427).
- Remove redundant Requires on ldconfig (-p already does this).
- Add missing systemd requires.
- RPM group assignment fixes.
- Remove pointless comments which cause scriptlets to be not empty
in some cases.
- Provide ofed for legacy packages
- Update to git version fd1db488 as it now contains the bnxt drivr.
No log of changes present (fate#321907).
- specfile cleanup, remove libibverbs-devel subpackage, since it no
longer exists.
- ibacm shouldn't obsolete its older versions.
- Fix Group for rdma-core.
- Comment out the -devel requiring ibacm for bootstrapping.
- fix Provides/Obsoletes
- Fix RPM Group entries.
- Initial packaging for SLES and openSUSE, based on latest release
(fate#322112, fate#321250, fate#321566, fate#321657, fate#321684,
fate#321750, fate#321867, fate#321887, fate#322197, fate#322199,
bsc#1019714, bsc#1001685, bsc#1016427, bsc#1022597, bsc#1001685,
bsc#1022598, bsc#1022599, bsc#1024377, bsc#1016427).
- There is no valgrind in s390 so exclude the build requirement on
this architecture.
- Add appropriate RPM groups
- Initital packaging for openSUSE

==== rpm ====
Subpackages: rpm-build rpm-devel

- Add patch to handle special case of .qm file paths correctly (boo#1027925):
* find-lang-qt-qm.patch

==== screen ====

- Ensure /usr/share/terminfo/s/screen is present when screen is
[boo#812067].

==== sendmail ====

- Require user and group mail

==== snapper ====
Version update (0.4.4 -> 0.5.0)
Subpackages: libsnapper4 snapper-zypp-plugin

- set cleanup algorithm for rollback snapshots (fate#321773)
- version 0.5.0
- generate build file for Ubuntu 17.04
- version 0.4.5

==== spec-cleaner ====
Version update (0.9.4 -> 0.9.5)

- Version update to 0.9.5:
* More fixes for the dep_parser
* Convert pypy urls to new format
* Start of rpmpreamble cleanup

==== star ====
Subpackages: spax

- Conform with packaging guidelines for update alternatives
- Disable building extra binaries
- Alternatives system for mt and rmt
- Separated subpackage for mt and rmt
- Move rmt to /usr/bin/

==== sushi ====
Version update (3.23.91 -> 3.24.0)

- Update to version 3.24.0:
+ Updated translations.

==== systemd ====
Subpackages: libsystemd0 libsystemd0-32bit libudev-devel libudev1
libudev1-32bit systemd-32bit systemd-bash-completion systemd-logger
systemd-sysvinit udev

- Ship /var/log/README
Unfortunately it's not possible to also ship /etc/init.d/README
because of rpm "sanity" checks that prevent executable in
/etc/init.d
- Drop systemd-{journalctl,loginctl} legacy symlinks.
- Drop %preun section
Currently the only use of this section is to remove the symlinks
enabling systemd services on package removal. Those symlinks were
initially installed by the systemd package installation but could
have been overriden by the sysadmin later. If so the symlinks
shouldn't be uninstalled.
Also in a near futur disabling services will install a symlink to
/dev/null.
- Import commit 9e33c2ae69fbb705e8ad143536e419a231e93020
04ef0eab8 importd: support SUSE style checksums supplementary (#5800)
fb601ad9a importd: support SUSE style checksums (#5206) (fate#322054)
b76b27c76 hwdb: fix warning "atkbd serio0: Unknown key pressed" (#5772)
(boo#1010220)
cb0d991f6 loginctl: fix typo causing ignoring multiple session IDs (#5732)
- Make use of %systemd_postun()
- Restart a couple of systemd services on package update
Those services (most notably journald) should support restarting
these days. However logind still doesn't but that should be fixed
pretty soon, well I hope :)
- Don't buildrequire pam-config, it's not used at this step.
Also drop the use of it in %postun as it can't realistically
happen...
- Don't call /sbin/ldconfig in %post of the main package
systemd main package doesn't ship any shared libs so there's no
point in calling ldconfig in %post/%postun
- Silent %tmpfiles_create in %post (bsc#1034938)
Due to bsc#1024740, we stopped generating /etc/machine-id during
systemd package installation making the specifier '%m' unavailable
in the tmpfiles.d configuration files at this time.
Make it simple for now and silent %tmpfiles_create, after all that's
how the macro was implemented originally.

==== tar ====

- remove tar-1.26-remove_O_NONBLOCK.patch as this issue was fixed
in tar 1.27 (commit 03858cf583ce299b836d8a848967ce290a6bf303)
- Use update-alternatives according to current documentation
- Disable tar-1.26-remove_O_NONBLOCK.patch - this issue has been
fixed in tar-1.27
- backup-scripts subpackage change to noarch
- Change rpm group of tar-tests to Development/Tools/Other
- Enable rmt building, change package description
- Switch rmt to alternatives system
- Separate rmt subpackage - it can be used by different archiving
tools as a dedicated program
- Change rmt path to /usr/bin folder - it can be used by non privileged
users for backup purposes. Security is controlled by access rights to
the targets and remote shell.
- Separate doc subpackage
- Remove conditions for old SUSE builds and lang subpackage
- Rename restore script to restore.sh for avoiding file conflicts
with dump/restore

==== tidy ====
Version update (5.2.0 -> 5.4.0)
Subpackages: libtidy5

- actually enable and distribute compat headers
- explicitly list headers instead of globing so nothing
"disappears" with version updates
- new upstream version 5.4.0
- compat_headers.diff: upstreamed
- static_buffer_overflow.diff: upstreamed
- updated documentation to current
+ tidy-html5-doxygen-a8e47dc.tar.gz replaced by
tidy-html5-doxygen-c0d1cd1.tar.gz
- updated unit tests to current
+ a510b54.tar.gz replaced by 97cf741.tar.gz
- fix_doxygen_paths.diff: refreshed
- test_fixes.diff: refreshed

==== vala ====
Version update (0.36.1 -> 0.36.2)
Subpackages: libvala-0_36-0

- Update to version 0.36.2:
+ Enums require at least one value otherwise report an error.
+ Bindings:
- gstreamer-1.0: Update to 1.11.90+.
- gio-2.0: Fix GLib.Task constructor and
report_error/report_new_error()
- glib-2.0:
. Add quark() functions to errordomains.
. Add missing version macro and constants.

==== vte ====
Version update (0.48.2 -> 0.48.3)
Subpackages: libvte-2_91-0 typelib-1_0-Vte-2.91

- Update to version 0.48.3:
+ widget: Add more xkb layout switching codes to the list of
modifiers.
+ pty: spawn: Always fill in the GError on failure.
+ build:
- vala: Bump vapigen required version to 0.24.
- vala: Fix check for valac >= 0.31.1.
+ emulation: Disregard bce only when autowrapping to the new
line.
+ Updated translations.

==== webkit2gtk3 ====
Version update (2.16.1 -> 2.16.2)
Subpackages: libjavascriptcoregtk-4_0-18 libwebkit2gtk-4_0-37
typelib-1_0-JavaScriptCore-4_0 typelib-1_0-WebKit2-4_0
webkit2gtk-4_0-injected-bundles

- Update to version 2.16.2:
+ Update user agent quirks to make Youtube and new Google login
page work.
+ Fix rendering of animated PNGs.
+ Fix playing of some live streams.
+ Update several web inspector icons.
+ Fix the build with NPAPI plugins enabled but X11 disabled.
+ Fix the build with OpenGL disabled.
+ Fix several crashes and rendering issues.

==== webkitgtk ====
Subpackages: libjavascriptcoregtk-1_0-0 libwebkitgtk-1_0-0 libwebkitgtk2-lang

- Add webkitgtk-icu59.patch: Fix build against icu 5.9. Patch
ported from Arch.

==== webkitgtk3 ====
Subpackages: libjavascriptcoregtk-3_0-0 libwebkitgtk-3_0-0 libwebkitgtk3-lang

- Add webkitgtk-icu59.patch: Fix build against icu 5.9. Patch
ported from Arch.

==== wireshark ====
Subpackages: libwireshark8 libwiretap6 libwscodecs1 libwsutil7 wireshark-ui-qt

- Allow opening capture files from desktop without asking for
privileged credentials. bsc#1025714

==== xf86-input-wacom ====

- removed support for serial input devices (fate#323262)

==== xinetd ====
Version update (2.3.15.1+git20170504.58c3611 -> 2.3.15.1)

- Use # rename for the URL to keep sane name
- Update to tagged release 2.3.15.1:
* Contains changes from bellow, just uses the tagged archive

==== yum ====

- Add python-pyliblzma dependency to python-yum to fix issues
with accessing xz-compressed repo metadata
- Move remaining python dependencies from yum to python-yum
- Make yum dependency on python-yum stricter
- yum-3.2.29-parse-restart_suggested.patch - parse restart_suggested flag
(bsc#1012867)

==== zypper ====
Version update (1.13.25 -> 1.13.27)
Subpackages: zypper-aptitude zypper-log

- Unknown command: add hint about possibly missing plugin package
(bsc#1037254)
- Search: tag packages installed by user request as 'i+'
- set non-zero exit code if modifying a service fails.
- BuildRequires: libzypp-devel >= 16.11.0
- version 1.13.27
- download: fix crash when non-package types are passed as argument
(bsc#1037210)
- Use a common definition for common solver options (bsc#1017486)
- BuildRequires: libzypp-devel >= 16.10.0
- version 1.13.26


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >